AutoCAD Architecture 2009 Readme: Introduction

AutoCAD Architecture 2009 Readme

This Readme contains important information about AutoCAD Architecture 2009 that may not be included in the printed documentation or in Help.
This information is in addition to that which may be found in the AutoCAD 2009 portion of this document.

  • Installation
  • Performance
  • Features in AutoCAD Architecture 2009
  • Compatibility with Previous Releases
  • Migration
  • Command Glossary


AutoCAD Architecture 2009 - Installation

Install

Installing AutoCAD Architecture 2009

  • Do not attempt to install the product by double clicking on the application's MSI file, as the software will not be installed properly. Instead, use the Setup executable.

    Locate Customized Files

  • Since Autodesk Architectural Desktop 2004, the locations of certain customized files have changed. More information can be found in the AutoCAD Architecture Stand-Alone Installation Guide > Locating Customized Files for AutoCAD Architecture 2009 > Locate Customized Files

    Network

  • If AutoCAD Architecture 2009 is installed on a network that uses roaming profiles, you may receive an error message on logoff when the computer is synchronizing the user account to the server. While synchronizing the user data folder to the server you may get an error message saying:
    "Offline Files: Unable to make '2009 AEC-Keynotes-Assemblies (Imperial).mdb' available offline on <\\servername\home\username\autodesk\my projects\sample project\>. Files of this type cannot be made available offline."
    This occurs because the Sample Project in My Documents contains a Microsoft Access database. The warning can be safely ignored.

    Add/Remove, Repair, Reinstall, Uninstall

    Uninstalling AutoCAD Architecture 2009 or Content Packs

  • If the product is installed with Shared Configurable Folders on a machine running Vista that is bound to a different domain than the Shared location, the uninstall may halt when it tries to establish access to them. This error can be resolved by disabling the User Account Control. Please refer to Microsoft Help for directions on making this change.

    Express Tools

  • After performing a reinstall on an existing installation of AutoCAD Architecture 2009, the Express Tools pulldown menu may not be visible. The menu file itself should still be loaded, in which case the command Expressmenu will restore the pulldown menu.

    .


AutoCAD Architecture 2009 - Performance

General Hints

  • Turn off the InfoCenter balloon for Workspaces to reduce the time to launch AutoCAD Architecture.

  • Invoke the WSSETTINGS command and enable the "Do not save changes to workspaces" option to reduce the time to close drawings and to reduce the time to shut down AutoCAD Architecture as well. The improvement will be especially noticeable when the application is configured and installed with shared folders on a network drive (for details, styles, templates, etc.)

    Rollover Tooltips

  • When AutoCAD Architecture is installed on a 64-bit operating system, the mouse cursor may hesitate and become "sticky" when hovering or rolling over detail components. This behavior can be eliminated by turning off the rollover tooltips for detail components:
    1. Type CUI at the command line.
    2. In the CUI dialog under "Customizations in All CUI Files," select Rollover Tooltips.
    3. In the Object Type List, select "Detail Components."
    4. Uncheck the three properties listed. (Type, Layer, and Component Information)
    5. Apply and OK out of the CUI dialog.
    6. Select to remove the object from the Object Type List in the task dialog when it is presented.

    Rollover tooltips will still be available for Detail Components but they will only report AutoCAD entity information (e.g., Block Reference, Polyline, and Hatch.) To re-enable the Detail Component specific data, reverse the steps, edit the Object Type List, include Detail Components, and check the three properties listed.

    Content Browser

  • Dragging and dropping a package from Content Browser to the Tool Palette will result in a lengthly delay when AutoCAD Architecture is installed on Windows Vista. This delay only occurs the first time the action is performed during a session.


Features in AutoCAD Architecture 2009

Please refer to the following links for information about minor limitations in certain features in AutoCAD Architecture 2009

Annotation Scaling

Dimensions

Drawing Management

Graphics and Object Display

Publishing

Spaces

Walls

User Interface

Miscellaneous


Feature Comments: Annotation Scaling

Annotation Content

  • Updating legacy annotative content is outlined in the AutoCAD Architecture 2009 Help. Browse the AutoCAD Architecture User's Guide to
    Documentation > Annotation and Keynoting Tools > Annotation Scaling > Updating Legacy Annotative Objects
    NOTE: To ensure proper scaling, set the current annotation scale to 1:1 prior to updating legacy annotative content.

    Scale

  • AutoCAD Architecture 2009 has MsLtScale set to 1 by default. When opening a drawing that uses this value in a previous release, the LtScale will need to be manually set to maintain linetype scale visual fidelity.
  • Aec Dimensions in AutoCAD Architecture 2009 use a DimScale value of 96 by default. If opened in a previous release and viewed at a scale other than 1/8" = 1’-0" the DimScale will need to be changed to the appropriate scale.

    Multi-View Blocks

  • Multi-View Blocks do not respect the block setting "Match block orientation to layout."
  • If a Multi-View Block with more than one Annotation Scale Representation is opened in a previous release and is moved, all of its Annotation Scale Representations will be moved when the drawing is reopened in AutoCAD Architecture 2009.


Feature Comments: Dimensions
  • Adding a height value to the text style changes the height of text within AEC Dimensions but not AutoCAD dimensions.
  • It is not possible to summon the Dimension Style Manager dialog via the Display Properties dialog if the Display Properties dialog was accessed using the Display tab of the Properties Palette. Instead, to access the Dimension Style manager, select Dimension Style from the Format pulldown menu.
  • Using the Apply Component Override or Modify Component Override grip(s) while editing component dimension points within walls may add a new component dimension point instead of moving the existing component dimension point. If this occurs, remove the unwanted component dimension point by clicking the associated Remove Extension Line grip.


Feature Comments: Drawing Management
  • AutoCAD Architecture 2009 installed on 64-bit Windows XP may crash while loading a project if the project bulletin board contains the <v:shapetype ..> node. To avoid this, edit the file and use the standard HTML image tag <img ..> instead.
  • When post linking views to sheets wait a few seconds before moving the mouse from the drawing editor to project navigator. Otherwise the post link may not complete.
  • Overlaying an xref using project navigator when the xref is already present but unloaded will result in multiple xref insertions and consequently overlapping geometries. If a drawing shows defect markers even though the geometry seems correct, check to see if multiple copies of the same xref are present; if they are, delete them. (Note that duplicate xrefs aren't displayed in the xref manager. Instead, use quick select to select external references and verify in the property palette that the correct number of xrefs is present.)


Feature Comments: Graphics and Display

Controls

  • Make sure the ViewCube and SteeringWheel UI elements do not overlap, or the application may crash when the SteeringWheel control is clicked.
  • AutoCAD Architecture 2009 may crash after selecting a visual style or a named view from 3D orbit with the ribbon open. To avoid this, close the ribbon or exit 3D orbit mode first.
  • The application may crash if the mouse wheel is used to pan shortly after the SteeringWheel control is used to enter orbit mode. To reduce the likelihood of this happening, pan before entering orbit mode, or pan more slowly.

    Spaces

  • The graphics for previewing a generated space may occasionally be incorrect for highly complex geometries. However, the space will still be generated correctly.

    Style Manager

  • If AutoCAD Architecture 2009 is installed on a PC running 64-bit Windows Vista with an Nvidia graphics card, the style manager's embedded viewer may not update correctly after the style manager dialog is resized. However the viewer will be sized correctly after the style manager is dismissed and relaunched.
  • Do not use the filter button in the design rules tab for display theme styles when AutoCAD Architecture is installed on 64-bit Windows Vista, or the tab will be visually corrupted. This limitation is not present if the DisplayThemeStyleEdit command is used instead.


Feature Comments: Publishing
  • Use the DWF format when publishing AEC object Property Data Sets to password protected files; if DWFx is used, it will not be possible to select AEC objects in Autodesk Design Review. If password protection is not employed either the DWF or DWFx may be used.
  • The Publish command available in the File menu (and at the commandline) will publish Sample Project sheets in color. To get the correct black and white output, use the Project Navigator's Publish to DWF, Publish to DWFx, or Publish to Plotter command instead. This behavior is not present in other projects.


Feature Comments: Spaces

Generate Spaces

  • Spaces created with the Space Generate tool will be associative, whether or not the Associative property is set to No in the tool. The space can be set as non-associative after its creation via the properties palette.

    Calculation Standard

  • The boundary offset for curtain walls will be generated according to the following rules:
    • The net, usable and gross boundaries will be generated as one segment, offset to the base boundary of the curtain wall. In order to produce the correct offset results, the boundaries may need to be manually offset to the preferred location.

    • The boundaries for net, usable and gross area may not be offset correctly for curtain walls which reference a base curve.
  • When spaces are generated using a calculation standard, the boundaries for usable and gross area may not be offset correctly for walls with sweeps. To resolve this, use the manual offset boundary type and manually edit the boundaries to the correct location.
  • SIS Standard: The usable offset boundary may fail to offset correctly when a column or mass element is located in the corner of a wall connection. To work around this issue, use the manual offset boundary type and manually edit the boundaries to the correct location.

    Legacy datasets

  • When drawings from previous versions are opened, spaces may disappear or display a solution tip after the 'Automatically update associative spaces' setting is enabled in the Options dialog. This may happen for spaces that have been generated from collinear surfaces. To fix this first select all the associative spaces in the drawing and update them using the command ‘Update Space Geometry,’ which is available on the right-click context menu. Then enable the 'Automatically update associative spaces' setting in the Options dialog.


Feature Comments: Walls

Cleanups

  • Wall cleanups may temporarily fail after an xref is unloaded and reloaded, if the xref contains walls that cleanup with the host drawing and/or other xrefs. This can usually be fixed by invoking ObjRelUpdate. If this does not work, closing and reopening the drawing will always correct the cleanup.
  • A cleanup error can occur when a short wall segment lies within the cleanup radius of another wall. After reducing the cleanup radius, run "ObjRelUpdate" to see updated cleanup results.

    Endcaps

  • Wall endcap linework may become visible when walls on different elevations cleanup at a corner. Disabling the wall's Below Cut Plane (or in some cases, the Above Cut Plane) display component visibility will remove these artifacts.


Feature Comments: User Interface
  • Using the options dialog to switch profiles may cause unwanted UI changes such as the elimination of the Quick Access Toolbar. If this becomes a common issue, switch profiles by exiting the application and restarting it with the appropriate command or shortcut instead. The UI can be restored to its proper state by invoking the CUI command and setting one of the workspaces current.
  • Using the options dialog to switch to a different profile may cause toolbars and pulldown menus to load incorrectly if the profile was not previously used. To avoid this, launch each desktop shortcut once immediately following installation.
  • The Quick Access Toolbar may fail to load correctly if AutoCAD Architecture 2009 is configured to use network licensing and the network is temporarily unavailable during application startup (forcing a second launch attempt.) The UI can be restored to its proper state by invoking the CUI command and setting one of the workspaces current.
  • Do not attempt to reset a profile that is set current, or the profile may become corrupted causing the application to behave unexpectedly. To restore the profile to a usable state, set another profile current and reset the first profile again.


Feature Comments: Miscellaneous

Action Recorder

  • While the AutoCAD Action Recorder can be accessed through the CAD Manager pulldown, full functionality is only available through the AutoCAD ribbon UI element. To configure the Action Recorder ribbon panel in AutoCAD Architecture, follow these steps:
    1. Enter the command RIBBON to invoke the ribbon.
    2. Enter the command CUI to invoke the customize user interface dialog.
    3. In the left hand pane, expand the Ribbon Tabs and Ribbon Panels nodes. Drag the action recorder panel from the Ribbon Panels node to one of the tab nodes under Ribbon Tabs (e.g., Home - 2D.)
    4. OK to accept changes in the CUI dialog. At this point, the Action Recorder should be present in the ribbon.

    ExportLayout

  • Export drawings to AutoCAD before attempting to invoke and use the ExportLayout command.

    gbXML

  • Performing Export to gbXML from within a Construct may cause error messages to display when the XML file is imported to Green Building Studio. To prevent error messages from displaying, open the Construct as a drawing outside of Project Navigator before running Export to gbXML.
  • Tapered Interior walls for Non-Associative adjacent spaces export to gbxml as Exterior walls. To prevent this from happening, create the Spaces so that the sides of the adjacent spaces are parallel to each other.
  • Export to gbXML does not support openings on curved non-associative freeform spaces.

    IFC Export

  • IFC Export will only export only the components of objects that are On in the Model Display Set. IFC Export does not use the current display when exporting the file. To verify the visibility of an object, open the Display Manager and browse Sets and Representations by Object.
  • Both wall and slab objects that have overlapping components will be exported without their named components. The components are combined into one called "Unnamed." The overall wall or slab geometry is maintained to the shrinkwrap or outline extents only.

    Keynotes

  • Cells in a Sheet Keynote Legend containing sheet keynote blocks may become invalid after using the Block Editor or the Block command to change to one of the block definitions. To correct this problem, save and reopen the drawing.
  • Care must be exercised when updating keynote legends that exist in previous version drawings. If the keynote database that was used to create the Legend is not present when the legend is updated, all data in the legend will change to pound symbols (#). To repair this, load the previous version database in the Aec Content tab of the Options dialog, and then update the legend again. The keynotes will be restored.
  • For the Metric profile, the Keynoting tools on the Annotation Sample Palette are not set up to utilize Multileader functionality. Use the following steps create new Keynoting tools that use Multileaders:
    1. The Imperial profile must be installed. If you haven't installed Imperial, you can add it by doing a Reinstall > Add/Remove. The profile can be removed once the tools have been accessed.
    2. Run ACA from the Metric profile.
    3. Open the Sample Tool Palette and navigate to the Document group > Annotation tab.
    4. Open the Content Browser and navigate to the Documentation Tool Catalog - Imperial > Keynotes.
    5. Drag the Reference Keynote and the Reference Keynote (Straight Leader) tools to the tool palette.
    6. Open the properties for each of these tools, set the Multileader style location to use the Leader Symbols(Metric).dwg (browse to the Metric Styles drawings in your content).
    7. Open the Leader Symbols(Metric).dwg and switch to Model Space.
    8. Use each of the new tools to verify that -AecDtlAnnoMultileaderAdd is called at the command line.
    9. Place any Keynote in the drawing, save and close.
    10. Now the Imperial profile may be removed, if you wish.

    You may want to place these new tools in the Content Browser > Documentation Tool Catalog - Metric > Keynotes for future access.

    Layers

    Note that Layer State functionality replaced Architectural Desktop Layer Snapshots in AutoCAD Architecture 2008.

  • To Prevent the Replacement of Layer Snapshots with Layer States, edit the Windows registry, navigate to HKEY_CURRENT_USER\Software\Autodesk\AutoCAD\R17.2\ACAD-7004:409\Profiles\Current Profile\General\, and create a new DWORD named BypassSnapshotConversion with value 1. Note: Always back up the registry before making any changes to it.
  • It is not possible to create a viewport override for the lineweight of a block set to ByLayer whose components are set to ByBlock.

  • Entities in xrefs that have components which use ByLayer linetypes may not display overridden linetypes per viewport.

    Object Viewer

  • On multi-monitor systems using Hardware Acceleration and different display settings, dialogs that include the Object Viewer should be kept on the primary display. This is to guard against various system errors that may otherwise occur.

    Reference Edit

  • Do not use refedit to edit blocks containing property set overrides. Instead, use the block editor.

    Schedules

  • When attempting use CTRL-select to zoom to an object in a schedule table, the Selection Preview Cycling panel may display instead. Selecting "Don't show me this again" restores the Zoom to functionality.
  • Object IDs will not display correctly in schedule tables on 64-bit operating systems, and for similar reasons drawing compare will not report differences in property set data on 64-bit systems. If this functionality is required, install the application on a 32-bit operating system instead.

    VBA

  • The VBA application object is not supported on 64-bit operating systems. As a result the following code fragments will not work, even though they do on 32-bit installations:

    'Case 1: Built-in app object
    MsgBox AecArchBaseApplication.Caption

    'Case 2: New app object
    Dim acaApp As New AecArchBaseApplication
    acaApp.Init ThisDrawing.Application
    MsgBox acaApp.Caption
    Instead, instantiate the application object as follows:

    Dim acaApp As AecArchBaseApplication
    Set acaApp = ThisDrawing.Application.GetInterfaceObject("AecX.AecArchBaseApplication.5.7")
    acaApp.Init ThisDrawing.Application
    MsgBox acaApp.Caption


Compatibility with Previous Releases

    Data

  • Compared to previous releases, AutoCAD Architecture 2009 uses greater precison when performing internal calculations. Thus there may be minor differences in reported values compared to earlier versions. This is as designed, and data reported in the current version is more accurate.
  • A problem with calculating slab perimeters was fixed in AutoCAD Architecture 2009. As a result the values of certain automatic properties may change. The new results are correct.

    Layers

  • To be able to reference edit drawings saved from AutoCAD Architecture 2009 in Autodesk Architectural Desktop 2007, the variable LayerEval needs to be set to 0 in AutoCAD Architecture 2009. This is a per drawing setting.

    Spaces

  • It is not possible to use AutoCAD Architecture 2008 to refedit drawings containing space objects created in AutoCAD Architecture 2009.
  • Openings on non-associative curved freeform spaces created in AutoCAD Architecture 2009 will not be displayed in AutoCAD Architecture 2008.
  • Openings added outside a surface area in AutoCAD Architecture 2008 will have different locations when opened in AutoCAD Architecture 2009.

    Structural Members

  • Structural members now support two new properties: volume and true length. Values for these properties will be displayed as ?? in AutoCAD Architecture 2008 and 2007.

    MasterFormat 2004

  • As of AutoCAD Architecture 2008 the US detail component and keynote databases use the CSI MasterFormat 2004 standard. Using the Detail Component/Keynote Database Migration utility to migrate your database customizations from a database that uses the CSI MasterFormat 95 standard (as in Architectural Desktop 2007 and previous releases) is not supported. The migration utility will not properly migrate custom records from the older databases and may errantly overwrite records in the new databases with CSI MasterFormat 95 data.

    The Detail Component/Keynote Database Migration utility can still be used to migrate records from one CSI MasterFormat 95 database to another. Note also that using the Database Migration utility to update an older database with data from the new CSI Masterformat 2004 database is not supported.

  • If you want to use a database from Architectural Desktop 2007 or previous releases with the current release of AutoCAD Architecture 2009, you can load it as described under Adding a Detail Component Database to Available Databases or Adding a Keynote Database in the Help. Note that the older database must be located with its corresponding content, maintaining the folder structure, to function properly. A details database will not function with the new 2009 US details content. Likewise, the previous version keynote database will not function to automatically keynote 2009 US details content, but only detail components inserted using previous version details or details in previous version drawings.

    Issues with Previous Version Drawings (Prior to AutoCAD 2007)

  • For best results, it is recommended that drawings in a previous to 2007 format be opened and saved in the 2007 format before attempting to combine them, through Block Insert or Xref, with 2007 format drawings.
  • Previous version drawings that include slabs or roof slabs with boolean additions will need to have the appropriate shrink wrap component turned on in order to display the full volume of the object.
  • Slabs that contain boolean operations will be converted to interference conditions with additive interferences being applied to the slab's shrink wrap body display component. By default, slab and roof slabs in AutoCAD Architecture 2009 have the model shrink wrap body display component turned off, so this option will need to be turned on in order to see additive interferences from legacy slabs.
  • When previous version drawings are opened, a dialog will be displayed with a warning that saving the drawing will upgrade AEC objects to 2007 format. If a previous version drawing is opened by double-clicking the file in Windows Explorer this dialog may be hidden behind the drawing, making AutoCAD Architecture 2009 appear to have hung; clicking anywhere on the application to give it focus will make the dialog come to the foreground.
  • Project Standards in AutoCAD Architecture 2009 will not operate when either the standards drawings or project drawings have not been promoted to the 2007 format. When a project is promoted from a previous version to the current drawing and project format, Projects Standards automatically assigns new versions to many objects. Consequently it will be necessary to synchronize the project again. Prior to this action, the standards drawings should be opened, and new version comment should be added through either Style Manager or Display Manager.

    If an entire project remains unpromoted, the analyzing project drawings dialog will appear blank with an empty progress meter. This condition will clear once the entire project has been processed.

    Promoting a Project for AutoCAD Architecture 2009

    The promotion of previous version drawings to 2007 format can be automated through the use of the following process, which starts with the creation of a batch (bat) file. Running the batch file makes a complete copy of the project (or folder that contains previous version drawings), then recursively searches for all dwg, dwt and dws files contained in this location and finally generates a script (scr) file. Running the script file results in each of the copied dwg and dwt files being opened, saved and closed, which results in these files being promoted to 2007 format. If any dws files are contained in the designated folder, their paths are displayed. These files will need to be manually opened and saved in 2007 format.

    NOTE: Use this process at your own risk. It is recommended that all files be backed up prior to running the batch and script files. If you have copied a project to a new location, be sure to repath the project with the original version of Architectural Desktop prior to running the promote programs.

    1. Start a session of Microsoft Notepad.
    2. Copy the text that resides between the two dashed lines (see below) and paste it into Microsoft Notepad.
    3. Save the resultant file as promote.bat and close Microsoft Notepad.
    4. From a DOS prompt, run the promote.bat file using the following syntax:
      promote.bat [projectName] [projectLocation] [scriptName] [promotionTarget]

      Replace [projectName] with the name of the parent folder that contains the drawings to be promoted.
      Replace [projectLocation] with the path to the parent folder that was entered as [projectName].
      Replace [scriptName] with the desired name of the script that will be generated. The root of the file name can be customized but the file extension must always be .scr.
      Replace [promotionTarget] with a path and folder name for the location where the drawings to be promoted will be copied.

      NOTE: Arguments containing spaces must be enclosed in quotes. For example: "C:\My Documents\Autodesk\My Projects\Stadium Project".

      As an example, if you had previous version drawings stored in a R:\CAD_Files\Projects\2006\Hospital folder and wanted the promoted version of these files to be created in a R:\CAD_Files\Projects\2009\Hospital folder, the following would be the appropriate syntax to use:
      promote.bat Hospital R:\CAD_Files\Projects\2006\ promote.scr R:\CAD_Files\Projects\2009

    When this process is complete, a script file with the specified name is generated in the same folder as the promote.bat file. Running this script file will automatically promote each of the copied drawings that reside in the [promotionTarget] location to 2007 format. During the use of this script, please note that if any dialogs are displayed when a previous version drawing is opened, the script will terminate. If this problem is encountered, edit the script file and remove all references up to the last previous version drawing that was successfully promoted. Next, identify the reason why the unexpected dialog was display and take the necessary steps to eliminate the display of this dialog. Now, run the modified script file and the remainder of the copied drawings should be promoted to 2007 format. If the script halts frequently due to unexpected dialogs, run the AecFileOpenMessage command and change the current value to No, which may help to eliminate this problem. Be sure to restore the original AecFileOpenMessage value after the promotion process is complete.

    ----------------------------------------------------------------------------------------------------------------------
    @echo off
    SETLOCAL

    @rem promote.bat
    @rem This script promotes a project to the current DWG format.

    :checkCmdArgs
    if [%4] EQU [] goto :badArgCount
    if [%3] EQU [] goto :badArgCount
    if [%2] EQU [] goto :badArgCount
    if [%1] EQU [] goto :badArgCount
    if [%5] NEQ [] goto :badArgCount
    set prjName=%1
    set prjDir=%2
    set scrName=%3
    set targetDir=%4
    goto :checkProject

    :getProject
    set /P prjName="What is the name of the project?: "
    set /P prjDir="Where can it be found?: "
    goto :checkProject

    :checkProject
    set prjNameEsc=%prjName:&=^&%
    set firstChar=%prjName:~0,1%
    if ^%firstChar% EQU ^" set prjName=%prjNameEsc:~1,-1%
    set prjNameDisplay=%prjName:&=^^^&%

    set prjDirEsc=%prjDir:&=^&%
    set firstChar=%prjDir:~0,1%
    if ^%firstChar% EQU ^" set prjDir=%prjDirEsc:~1,-1%
    set prjDirDisplay=%prjDir:&=^^^&%
    set project="%prjDir%\%prjName%"

    if not exist %project% goto :noProject
    if not defined scrName (goto :getScript) else (goto :checkScript)

    :getScript
    set /P scrName="Specify a name for the ACAD script: "
    goto :checkScript

    :checkScript
    set scrNameEsc=%scrName:&=^&%
    set firstChar=%scrName:~0,1%
    if ^%firstChar% EQU ^" set scrName=%scrNameEsc:~1,-1%
    set scrNameDisplay=%scrName:&=^^^&%
    set scrExt=%scrNameDisplay:~-4%
    if /I "%scrExt%" NEQ ".scr" goto :badScrExt
    if exist "%scrName%" goto :scrFound
    if not defined targetDir (goto :getTarget) else (goto :checkTarget)

    :getTarget
    set /P targetDir="Specify a directory to host the promoted project: "
    goto :checkTarget

    :checkTarget
    set targetDirEsc=%targetDir:&=^&%
    set firstChar=%targetDir:~0,1%
    if ^%firstChar% EQU ^" set targetDir=%targetDirEsc:~1,-1%
    set targetDirDisplay=%targetDir:&=^^^&%
    set prjDest="%targetDir%\%prjName%"
    if not exist "%targetDir%" (
    md "%targetDir%"
    echo.
    echo Created target directory %targetDirDisplay%
    goto :copyProject
    ) else (
    if exist %prjDest% (goto :targetFound) else (goto :copyProject)
    )

    ENDLOCAL
    exit /B

    :badArgCount
    echo.
    echo You have specified the wrong number of arguments for this command.
    echo.
    echo For future reference, the correct syntax is:
    echo promote.bat [projectName] [projectLocation] [scriptName] [promotionTarget].
    echo.
    echo Switching to interactive mode...
    echo.
    goto :getProject

    :noProject
    echo.
    echo You have specified a project %prjNameDisplay% in the directory %prjDirDisplay%.
    echo This could not be found. Please try again.
    echo.
    goto :getProject

    :badScrExt
    echo.
    echo Your Autocad script must have the extension ".scr" and you specified %scrNameDisplay%.
    echo Please try again.
    echo.
    goto :getScript

    :scrFound
    echo.
    echo An Autocad script with the name %scrNameDisplay% is already present in the working directory.
    echo Delete this script or specify a different script name.
    echo.
    goto :getScript

    :targetFound
    echo.
    echo A project with name %prjNameDisplay% was found in the target area %targetDirDisplay%.
    echo Delete this project or specify another target area.
    echo.
    goto :getTarget

    :copyProject
    echo.
    echo Copying project %prjNameDisplay%...
    xcopy %project% %prjDest% /E /I /Q /H
    attrib -A -R %prjDest% /D /S
    echo.
    echo Copied project %prjNameDisplay% to target.
    echo.
    goto :genScript

    :genScript
    echo.
    set count=0
    @for /R %prjDest% %%i in (*.dwg) do (
    set /a count+=1
    echo _open "%%i">>"%scrName%"
    echo _qsave>>"%scrName%"
    echo _close>>"%scrName%"
    )
    echo.
    echo Found %count% DWG files to be updated in the project %prjNameDisplay%.
    echo.
    set count=0
    @for /R %prjDest% %%i in (*.dwt) do (
    set /a count+=1
    echo _open "%%i">>"%scrName%"
    echo _qsave>>"%scrName%"
    echo _close>>"%scrName%"
    )
    echo.
    echo Found %count% DWT files to be updated in the project %prjNameDisplay%.
    echo.
    echo.
    echo TO COMPLETE THE PROMOTION:
    echo.
    echo [1] Start AutoCAD Architecture and make sure that a project is NOT currently active.
    echo [2] Disable the previous version courtesy dialog using the AecFileOpenMessage command.
    echo [3] Verify that the copy of the project located at %targetDirDisplay% has the same
    echo file count as the original copy located at %prjDirDisplay%.
    echo [4] Run the script %scrNameDisplay%.
    @for /R %prjDest% %%i in (*.dws) do (
    set /a foundDWS=1
    goto :break
    )
    :break
    if DEFINED foundDWS (
    echo [5] Resave the following DWS file^(s^), making sure to preserve filenames.
    echo ^(These cannot be promoted via a script as DWT and DWG files can.^)
    echo.
    @for /R %prjDest% %%i in (*.dws) do (
    echo %%i
    )
    )
    echo.
    echo.
    echo The project %prjNameDisplay% located in %targetDirDisplay% will then be promoted
    echo to the current file format.
    echo.
    echo After this process is complete you may use this project
    echo where it currently resides, or replace the old one with this new copy.
    echo.

    ENDLOCAL
    exit /B
    ----------------------------------------------------------------------------------------------------------------------


Migration
  • CUI migration is supported starting with Autodesk Architectural Desktop 2007 and Autodesk Building Systems 2007.
  • CUI migration from customized menu folder locations is not fully supported.
  • MNU and CUI migration from earlier releases (MNU - 2004, 2005 and CUI - 2006) can be accomplished from the CUI editor's transfer feature.
  • Workspaces in AutoCAD Architecture/MEP 2009 are maintained and Workspaces from previous product versions will be migrated as-is, with only their names changed. Note that migrated Workspace behavior may change slightly, so migrated Workspaces should be reviewed for compatibility with the current product. For example, menus may not be displayed after migration in AutoCAD Architecture/MEP 2009 if the workspace was the result of a migration from a previous product release. To restore the display of menus, the following steps could be taken: (This example assumes the name of the workspace is "Copy of Design1.")
    • Set the migrated workspace as the current workspace by selecting it from the drop-down list on the Workspaces toolbar.
    • Enter MENUBAR at the command line and set the value to 1. The menus should now be displayed.
    • Update the migrated workspace:
      • Select [Save Current As...] from the drop-down list on the Workspaces toolbar.
      • In the Save Workspace dialog, select "Copy of Design1" from the Name drop-down list
      • Select [Save], then [Replace] when asked to confirm the replacement of the existing workspace.
  • The Import/Export migration feature found in AutoCAD 2009 is not supported in AutoCAD Architecture/MEP 2009.
  • References to support files/folders within a CUI file will be migrated to the current product’s CUI, but the files/folders that they reference must be accessible. An example of this might be a menu item that refers to a slide library. Please ensure that the .slb file exists and that the folder where it resides is included in the support paths. The support paths can be verified by running the Options command, selecting the Files tab, then the "+" next to "Support File Search Path."
  • To maintain the expected customer experience in AutoCAD Architecture/MEP 2009, certain parameters in the Options dialog will not be migrated.


Glossary of Command Changes

New Commands

Drawing Management

Command | Description
closeAllProjectDrawings | Closes all drawings in the current project that are open in the application.

Spaces

Command | Description
spaceAutoUpdate | Specifies if the "Automatically update associative spaces" property is enabled or disabled in the drawing.
spaceCalculationStandard | Sets the Area Calculation Standard for the drawing. This property is used when generating spaces with the offset boundary set to "By Standard."
spaceDisplayBoundSpacesProperty | Displays the bound spaces property for AutoCAD entities on the Properties palette.
spaceMaxAutoAdjacency | Sets the value for the maximum automatic adjacency in the drawing.
spaceMaxGapSize | Sets the value for the maximum gap size when generating spaces in the drawing.
spaceSetBoundingObjects | Sets the value of the bound spaces property for the selected objects.
spaceShowBoundingObjects | Display objects that are set to bound spaces.

Xref

Command | Description
xrefBind | Binds an external reference.
xrefDetach | Detaches an external reference.
xrefInsert | Inserts an external reference.
xrefReload | Reloads an external reference.
xrefUnload | Unloads an external reference.

Miscellaneous

Command | Description
aecWelcomeScreen | Invokes the AutoCAD Architecture 2009 welcome screen.
layerClose | Closes the modeless layer manager.
layerPalette | Invokes a modeless version of the layer manager. Note that only a subset of the layer manager's functionality is available in this palette.
gbXmlExport | Exports building information to gbXML format.

Changed Commands

Previous Command | New Command
ADT_CUSTOM | ACA_CUSTOM
ADT_SUPPORT | ACA_SUPPORT
ADT_TRAINING | ACA_TRAINING

Deprecated Commands

displayConfigAttachR2

displayConfigDefaultR2

displayConfigDefineR2

displayPropsDefaultsR2

displaySetDefineR2

displayTabWarning

Inspect

rcpController


AutoCAD 2009 Readme

Installation, Configuration and Hardware
AutoCAD 2009 Readme

This Readme contains important information about AutoCAD that may not be included in the printed documentation or in Help.

Topics in this section

  • Installation, Configuration and Hardware
  • Join the Customer Involvement Program

    You are invited to participate in helping guide the direction of Autodesk design software.

  • Graphics Card Driver Update
  • Draw and Edit
  • User Interface
  • Developer Information
  • Command and System Variable History
  • Trademarks
  • System Requirements
  • Product Removal
Please send us your comment about this page


Installation, Configuration and Hardware

AutoCAD 2009 Readme
AutoCAD 2009 Readme
Join the Customer Involvement Program
AutoCAD 2009 Readme >
Installation, Configuration and Hardware

Installation and Configuration

Installing from Dual CD/DVD ROM Drive Systems

Installation fails if you attempt to install AutoCAD 2009 installation discs in different drives of a dual CD/DVD ROM drive system. You must use the same disc drive in order to complete the installation process.

HTML Help Fails When Launched from a Network Drive

You cannot launch the Help System from a network drive. A "Page Cannot Be Displayed" warning is displayed. This limitation is a result of the Windows Security Update #896258 from Microsoft.

Licensing

To Install the Autodesk Network License Manager

  1. On the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, ensure that the Network License Manager is selected. Click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region and click I Accept. Click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. If you selected multiple products on the Select Products to Install page (Step 3), then click the Network License Manager tab.
  6. Do one of the following:
    • Accept the default installation path (C:\Program Files\Autodesk Network License Manager\).
    • Click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide.
    NoteDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must also specify the drive letter; the universal naming convention (UNC) is not supported.
  7. On the Review - Configure - Install page, click Install.
  8. On the Installation Complete page displays, click Finish.

Running a Network License Manager on Microsoft Windows Vista

When starting the network version of AutoCAD 2009 on a Microsoft Windows Vista workstation, you may encounter licensing error -15 if the license manager is running on Windows Vista (FLEXlm server version 11.4.100). Do the following:

  • Install the latest Service Pack and updates for Microsoft Windows Vista.

If you continue to encounter errors, do the following:

  • On the Start menu (Windows Vista), click Control Panel [image] Network and Sharing Center [image] Manage Network Connections, right-click on Local Area Connection. Select Properties. Uncheck Internet Protocol 6 (TCP/IPv6). Click OK.

To Install the Network License Activation Utility

  1. On the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, ensure that the Network License Activation Utility is selected. Click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region and click I Accept. Click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. If you selected multiple products on the Select Products to Install page (Step 3), then click the Network License Activation Utility tab.
  6. Do one of the following:
    • Accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\).
    • Click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide.
  7. On the Review - Configure - Install page, click Install.
  8. On the Installation Complete page displays, click Finish.

FlexLM License is Created in Two Locations

The FLEXlm License Finder dialog box may not display upon each launch of AutoCAD 2009 for non-administrative users who are using Windows Vista 64-bit. This is becuase the license server path information is stored in the HLKM\STOFTWARE\Wow6432Node path, which is not accessible to non-administrative users.

To fix this problem, replicate the license server path information stored in the above path to go to the HKLM\software\FLEXlm License Manager path.

Hardware

Graphics Card Driver Update

For the best program performance, verify and update your graphics card driver. For more information, see Graphics Card Driver Update.

Remote Access Applications

It is not recommended that you use any type of remote access application in conjunction with AutoCAD 2009 when it is configured to use hardware acceleration. Most remote access applications cannot support hardware acceleration, whic can cause general display failure and instability. If you need to use remote access applications, disable hardware acceleration or use the /NOHARDWARE command line switch to start AutoCAD 2009 in Software mode.

Hardware Certification Database

To download and install the latest hardware certification XML file, visit the Hardware Certification website at http://www.autodesk.com/autocad-graphicscard.

Please send us your comment about this page


Join the Customer Involvement Program

Installation, Configuration and Hardware
AutoCAD 2009 Readme
Graphics Card Driver Update
AutoCAD 2009 Readme >
Join the Customer Involvement Program

You are invited to participate in helping guide the direction of Autodesk design software.

If you participate in the Customer Involvement Program, specific information about how you use AutoCAD is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

Here is a list of the information that is automatically sent to Autodesk:

  • Name and version of the Autodesk product
  • AutoCAD commands used, and amount of time spent in AutoCAD
  • Error conditions encountered, fatal, and non-fatal
  • File formats imported or exported with AutoCAD
  • Operating system name and version
  • System configuration information such as processor, amount of memory, and graphics card
  • IP address, used to identify your country or region

What the Customer Involvement Program Cannot Do

The Customer Involvement Program is committed to protecting your privacy. It cannot do any of the following:

  • Collect any drawing or design data
  • Collect any identity information such as name, address, or phone number
  • Send you email or contact you in any other way

For additional information, click the links in the Customer Involvement Program dialog box.

Why You Should Consider Participating

The Customer Involvement Program involves you directly in telling Autodesk

  • The commands and features that Autodesk should focus on
  • The commands and features that are hardly ever used
  • The most common problem areas
  • The hardware typically used with AutoCAD
NoteYou can start or stop your participation in this program at any time. Access to the controls is available from the AutoCAD Help menu. In network installations, your system administrator can choose whether to make the CIP program available or not.

To turn the CIP on or off

  1. Click Help menu [image] Customer Involvement Program.
  2. In the Customer Involvement Program dialog box, click a level of participation, and then click OK.
Please send us your comment about this page


Graphics Card Driver Update

Join the Customer Involvement Program
AutoCAD 2009 Readme
Draw and Edit
AutoCAD 2009 Readme >
Graphics Card Driver Update

You should verify and update your graphics card driver to optimize AutoCAD 2009. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. Start AutoCAD 2009.
  2. At the Command prompt, enter 3dconfig.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Review the 3D Device section for information about your system's graphics card driver and driver version.

If you find that you do need to update your driver, visit http://www.autodesk.com/autocad-graphicscard to find a certified driver for your graphics card. If you do not find one, visit the graphics card manufacturer's website.

NoteIf the graphics card manufacturer does not have an updated driver, check the system manufacturer's website. Companies like IBM, Hewlett Packard, and Dell often supply their own system drivers.
Please send us your comment about this page


Draw and Edit

Graphics Card Driver Update
AutoCAD 2009 Readme
User Interface
AutoCAD 2009 Readme >
Draw and Edit

Drawing Environment

Tool Palettes

Tool palettes created in the current release should not be used in previous releases.

Plot and Publish DWF Files

AutoCAD 2009 for 64-bit halts unexpectedly when publishing DWF drawings containing text, multiline text (mtext), and attributes that use the CityBluePrint font. To repair this problem, download and install the Windows security update availalbe at http://www.microsoft.com/technet/security/Bulletin?MS06-002.mspx.

Opening Sample Drawing Files in Windows Vista

Due to Windows Vista restrictions, all sample files found in the AutoCAD 2009 Sample folder and subfolders are read-only. Sheet Set Manager sample files can be opened in the Sheet Set Manager, but cannot be changed.

Autodesk i-drop

For i-drop to operate properly on a system running Windows Vista, the user should be set to Run as Administrator.

3D Environment

AutoCAD 2007 introduced a new 3D Modeling environment, which you can access by means of the VISUALSTYLES command and choosing any non-2D style. The 3D environment has some behavioral differences when compared to the legacy 2D drafting environment, such as:

  • Draw order is not supported in 3D
  • Memory usage in 3D is higher
  • The REGEN and REGENALL commands do not necessarily clean up display artifacts. To reset the display, cycle VISUALSTYLES between 2D and non-2D styles.

Direct 3D with Microsoft Windows Vista

When Direct 3D is enabled in a Windows Vista environment, the cursor appears as black and white instead of color in non-2D visual styles. Any changes to the cursor from the Options dialog box are not enabled in this environment.

Animation and Rendering

Animation Output

The Quicktime Player cannot play MOV files saved with characters that are not native to the current operating system.

Windows Vista versions K and N (available in Korea and Europe) do not come with Windows Media Player installed. In order to use the animation feature in AutoCAD 2009, download the latest version of Media Player from the Microsoft website.

Advanced Render Settings

In the Advanced Render Settings Dialog box, the Memory Limit field is ignored in AutoCAD 2009 for 64-bit. AutoCAD 2009 will make use of all available memory in a 64-bit environment.

Other Drafting Issues

External References

Due to the external references (xref) polling cycle, you can encounter a time lag when attempting to use the Manage Xrefs icon to reload DWG xrefs. You cannot reload referenced DWG files with this method until you see the balloon notification on the Manage Xefs icon is displayed. To expedite the reloading process, use one of the following methods:

  • On the External References palette, right-click the reference drawing. Click Reload.
  • On the External References palette, click Reload All References.
  • At the Command prompt, enter -xref. Use the Reload option.

Text and Language

Multiple-Language Support

When you copy and paste characters that have been created using a language other than the system language, the characters may not be displayed correctly.

To correct the display to show the original language

  1. Double-click the text to open it in the In-Place Text Editor.
  2. Right-click inside the editor. Click Character Set and select the original language.
Please send us your comment about this page


User Interface

Draw and Edit
AutoCAD 2009 Readme
Developer Information
AutoCAD 2009 Readme >
User Interface

Display AutoCAD as in Previous Releases

AutoCAD 2009 introduces a new look and many new user interfaces that change the way you access commands. To display AutoCAD 2009 as it was in previous releases, do one of the following:

  • Click the Menu Browser button [image] Click Tools [image] Workspaces [image] AutoCAD Classic.
  • On the status bar, click Workspace Switching [image] AutoCAD Classic.

Use Workspaces to Switch AutoCAD Interfaces

Workspaces are sets of menus, toolbars, palettes, and ribbon panels that are grouped and organized to create a task-oriented drawing environment. In addition to AutoCAD Classic, the following task-based workspaces are available in AutoCAD 2009:

2D Drafting & Annotation

Displays tools specific to 2D drafting. Displays the new interfaces, including the ribbon and menu browser.

3D Modeling

Displays tools specific to 3D modeling. Displays the new interfaces, including the ribbon, menu browser, and Tool Palettes window.

To switch between available workspaces, do one of the following:

  • Click the Menu Browser button [image] Click Tools [image] Click Workspaces and select the desired workspace.
  • On the status bar, click Workspace Switching and select the desired workspace.
  • On the Workspaces toolbar, in the Workspaces drop-down list, select the desired workspace.

Migrate CUI Files from a Previous Release to AutoCAD 2009

When loaded as the main CUI file, a CUI file created in a previous release of AutoCAD does not contain the necessary content to utilize new AutoCAD 2009 user interface elements. To add new user interface elements to an existing CUI file, do one of the following:

  • Use the Transfer tab in the Customize User Interface (CUI) Editor to transfer user interface elements from your CUI file from a previous release of AutoCAD to a new CUI file that comes with AutoCAD 2009. The new CUI file will allow you to use new user interface elements of AutoCAD 2009 while allowing you to use existing customization.
  • Use the Migrate Custom Settings dialog box to convert your CUI file from a previous release to a new version that will be compatible with AutoCAD 2009. To migrate CUI files and user profiles from the previous release, do the following:
    1. Click Start menu (Windows) [image] Programs [image] Autodesk [image] AutoCAD 2009 [image] Migrate Custom Settings [image] Migrate From a Previous Release.
    2. In the Migrate Custom Settings dialog box, in the Migrate Settings drop-down list, select the release that you are migrating from. Click OK.
NoteThe Quick Access toolbar for any migrated workspaces will be empty. To display commands on the Quick Access toolbar, use the Customize User Interface (CUI) Editor. You cannot migrate dashboard control panels to the ribbon. You must recreate your dashboard control panels as ribbon panels using the Customize User Interface (CUI) Editor.
Please send us your comment about this page


Developer Information

User Interface
AutoCAD 2009 Readme
Command and System Variable History
AutoCAD 2009 Readme >
Developer Information

Changes That May Affect Scripts

Changes to the following commands or system variables may affect pre-existing scripts:

EXTEND

For the EXTEND command, if you do not select an object at the Select Objects to Extend prompt, you are now prompted to specify the opposite corner of a crossing window. This change may affect pre-existing scripts that call EXTEND and supply a pick point that selects no objects. You can fix legacy scripts by omitting points that do not select objects.

INSERT

If you use the Scale Uniformly option in the Block Definition dialog box, you are no longer prompted to enter separate scale factors for X,Y,Z coordinates when you insert a block using the -INSERT command.

MENULOAD

By default, the MENULOAD command loads only CUI files in AutoCAD 2006 or later releases. To load an MNU or MNS file in AutoCAD 2006 or later release, you must explicitly include the extension in the file name, as shown in the following example:

(command "menuload" "myMenu.mnu")

However, rather than changing your code, it is strongly recommended that you open your legacy menu files in AutoCAD 2009 before running applications that use them. AutoCAD 2009 automatically converts them to CUI files, and the CUI files are loaded by existing code that uses the file name without an extension

Legacy code that specifies an MNU, MNS, or MNC extension should be changed to reference a CUI file, and AutoCAD 2007-based applications should ship with CUI files, not MNU, MNS, or MNC files.

TRIM

For the TRIM command, if you do not select an object at the Select Objects to Trim prompt, you are now prompted to specify the opposite corner of a crossing window. This change may affect pre-existing scripts that call TRIM and supply a pick point that selects no objects. You can fix legacy scripts by omitting points that do not select objects.

ActiveX and VBA

VBA scripts that run at startup should check whether the AutoCAD 2009 process is visible or invisible. If the process is invisible, the script should not execute, because the process may be performing background plotting or publishing operations. To check whether the AutoCAD 2009 process is visible or invisible, you can use the Visible property of the Application object in the AutoCAD 2009 Object Model.

Quick Properties

To maximize performance when scripts or LISP rountines are run, the Quick Properities panel is disabled. Completion of the routine restores functionality.

Please send us your comment about this page


Command and System Variable History

Developer Information
AutoCAD 2009 Readme
Trademarks
AutoCAD 2009 Readme >
Command and System Variable History

Where to Learn About AutoCAD 2009

Use the following resources to find more information about AutoCAD 2009:

  • New Features Workshop (Help menu)
  • Help system (Help menu)
  • Developer Help (Help menu > Additional Resources)
  • Autodesk User Group International (AUGI) (Help menu > Additional Resources)
  • Autodesk website at http://www.autodesk.com

New Commands

Command | Description
ACTRECORD | Starts the Action Recorder.
ACTSTOP | Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file.
-ACTSTOP | Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file.
ACTUSERINPUT | Inserts a request for user input into an action macro.
ACTUSERMESSAGE | Inserts a message that will be viewed during playback.
-ACTUSERMESSAGE | Inserts a user message into an action macro.
ALLPLAY | Plays all named views in current drawing.
BACKGROUND | Sets up the background for your view.
CLASSICLAYER | Manages layer and layer properties.
DASHBOARD | Opens the Dashboard window. Routed to the RIBBON command
-DGNEXPORT | Creates one or more DGN files from the current drawing.
-DGNIMPORT | Imports the data from a DGN file into a new DWG file.
DGNLAYERS | Controls the display of layers in a DGN underlay.
DGNMAPPING | Allows users to create and edit user-defined DGN mapping setups.
DWFFORMAT | Sets the default DWF format to the selected format to DWF or DWFx for the PUBLISH, 3DDWF, and EXPORT commands.
EDITSHOT | Opens the Edit View dialog box with the Shot Properties tab active.
EXPORTLAYOUT | Exports all visible objects from current layout to the model space of a new drawing.
HIDEPALETTES | Hides currently displayed palettes (including the command line).
IMPRESSION | Gives a CAD drawing a hand-drawn look by exporting it for rendering in Autodesk Impression.
LAYERCLOSE | Closes Layer Properties Manager.
NAVSMOTION | Displays the ShowMotion interface.
NAVSMOTIONCLOSE | Closes the ShowMotion interface.
NAVSWHEEL | Displays the SteeringWheel.
NAVVCUBE | Controls the visibility and display properties of the ViewCube.
NEWSHOT | Creates a named view with motion that is played back when viewed with ShowMotion.
QVDRAWING | Displays open drawings and layouts in a drawing in preview images.
QVDRAWINGCLOSE | Closes preview images of open drawings and layouts in a drawing.
QVLAYOUT | Displays preview images of model space and layouts in a drawing.
QVLAYOUTCLOSE | Closes preview images of model space and layouts in a drawing.
RIBBON | Opens the Ribbon window.
RIBBONCLOSE | Closes the Ribbon window.
SEQUENCEPLAY | Plays the named views in one view category.
SHOWPALETTES | Restores the display of hidden palettes.
VIEWGO | Restores a named view.
VIEWPLAY | Plays the animation associated with a named view.

Changed Commands

Changed Command | Description
DASHBOARDCLOSE | Closes the Dashboard window. Routed to the RIBBONCLOSE command.
DGNATTACH | Attaches a DGN underlay to the current drawing.
-DGNATTACH | Attaches a DGN underlay to the current drawing.
DGNEXPORT | Creates one or more DGN files from the current drawing.
DGNIMPORT | Imports the data from a DGN file into a new DWG file.
GEOPGRAPHICLOCATION | Specifies the geographic location information for a drawing file.
LAYER | Manages layers and layer properties.
NEWVIEW | Creates a named view without motion.
QUICKCUI | Displays the Customize User Interface dialog box in a collapsed state.
VPLAYER | Sets layer visibility within viewports.

New System Variables

System Variable | Description
ACTPATH | Specifies the additional paths to use when locating available action macros for playback.
ACTRECORDSTATE | Specifies the current state of the Action Recorder.
ACTRECPATH | Specifies the path used to store new action macros.
ACTUI | Controls the behavior of the Action Recorder panel when recording and playing back macros.
CAPTURETHUMBNAILS | Specifies if and when thumbnails are captured for the Rewind tool.
DGNIMPORTMAX | Limits the number of elements that are translated when importing a DGN file. This limit prevents the program from running out of memory and suspending when importing large DGN files.
DGNMAPPINGPATH | Stores the location of the dgnsetups.ini file where DGN mapping setups are stored.
GEOLATLONGFORMAT | Controls the format of the latitude and longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode.
GEOMARKERVISIBILITY | Controls the visibility of geographic markers.
HIDEXREFSCALES | Controls the display of Xref scales. 0- Xref scales are displayed 1- Xref scales are hidden.
LAYERDLGMODE | Sets the flavor of the Layer Properties Manager that will be defined for the use of the LAYER command. The LAYER command is mapped to execute either the CLASSICLAYER or LAYERPALETTE.
MENUBAR | Controls the display of the menu bar.
MTEXTTOOLBAR | Controls the display of the Text Formatting toolbar.
NAVSWHEELMODE | Specifies the current mode of the SteeringWheels.
NAVSWHEELOPACITYBIG | Controls the opacity of the big SteeringWheels.
NAVSWHEELOPACITYMINI | Controls the size of the mini SteeringWheels.
NAVSWHEELSIZEBIG | Specifies the size of the big SteeringWheels.
NAVSWHEELSIZEMINI | Specifies the size of the mini SteeringWheels.
NAVSWHEELWALKSPEED | Controls the speed of Walk from wheel.
NAVVCUBEDISPLAY | Controls the display of the ViewCube on the canvas when the 3D graphic system is active.
NAVVCUBELOCATION | Identifies the corner in a viewport where the ViewCube is displayed.
NAVVCUBEORIENT | Controls whether the ViewCube reflects the current UCS or WCS.
NAVVCUBESIZE | Controls the display size of the ViewCube.
NAVVCUBOPACITY | Controls the opacity of the ViewCube when inactive.
OPENPARTIAL | Controls whether whether a drawing can be worked on before it is fully open.
PREVIEWTYPE | Specifies the view to use for the drawing thumbnail.
PUBLISHHATCH | Controls whether hatch patterns published to DWF format (DWF File or DWFx File) are treated as a single object when opened in Autodesk Impression.
QPLOCATION | Sets the location mode of Quick Properties panel.
QPMODE | Sets the on or off state of Quick Properties panel.
QVDRAWINGPIN | Controls the default display state of preview images of drawings.
QVLAYOUTPIN | Controls the default display state of preview images of model space and layouts in a drawing.
RIBBONSTATE | Indicates whether the ribbon palette is open or closed.
ROLLOVERTIPS | Controls the display of object rollover tooltips in the application. The content in tooltips can be customized in the Customize User Interface (CUI) editor.
SHOWMOTIONPIN | Controls the default display state of the thumbnail shots.
SHOWPALETTE | This corresponds to the shortcut key (CTRL+SHIFT+H) to show or hide palettes.
STATUSBAR | Controls the display of the application and drawing status bars.
THUMBSIZE | Specifies the maximum generated size for thumbnail previews in pixels.

Changed System Variables

Changed System Variable | Description
CROSSINGAREACOLOR | Controls the color of the selection area during crossing selection. The valid range is 1 to 255. The SELECTIONAREA system variable must be on.
GRIPCOLOR | Controls the color of nonselected grips. The valid range is 1 to 255.
GRIPHOT | Controls the color of selected grips. The valid range is 1 to 255.
GRIPHOVER | Controls the fill color of an unselected grip when the cursor pauses over it. The valid range is 1 to 255.
OSMODE | Sets running object snaps.
TABLETOOLBAR | Controls the display of the Table toolbar.
WINDOWAREACOLOR | Controls the color of the transparent selection area during window selection. The valid range is 1 to 255. SELECTIONAREA must be on.
Please send us your comment about this page


Trademarks

Command and System Variable History
AutoCAD 2009 Readme
System Requirements
AutoCAD 2009 Readme >
Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, ActiveShapes, Actrix, ADI, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Insight, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Can You Imagine, Character Studio, Cinestream, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Create>what's>Next> (design/logo), Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design|Studio (design/logo), Design Web Format, Design Your World, Design Your World (design/logo), DWF, DWG, DWG (logo), DWG TrueConvert, DWG TrueView, DXF, EditDV, Education by Design, Exposure, Extending the Design Team, FBX, Filmbox, FMDesktop, Freewheel, GDX Driver, Gmax, Heads-up Design, Heidi, HOOPS, HumanIK, i-drop, iMOUT, Incinerator, IntroDV, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), LocationLogic, Lustre, Maya, Mechanical Desktop, MotionBuilder, Mudbox, NavisWorks, ObjectARX, ObjectDBX, Open Reality, Opticore, Opticore Opus, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, ProMaterials, Reactor, RealDWG, Real-time Roto, Recognize, Render Queue, Reveal, Revit, Showcase, ShowMotion, SketchBook, SteeringWheels, StudioTools, Topobase, Toxik, ViewCube, Visual, Visual Bridge, Visual Construction, Visual Drainage, Visual Hydro, Visual Landscape, Visual Roads, Visual Survey, Visual Syllabus, Visual Toolbox, Visual Tugboat, Visual LISP, Voice Reality, Volo, Wiretap, and WiretapCentral.

The following are registered trademarks or trademarks of Autodesk Canada Co. in the USA and/or Canada and other countries: Backburner, Discreet, Fire, Flame, Flint, Frost, Inferno, Multi-Master Editing, River, Smoke, Sparks, Stone, and Wire.

Please send us your comment about this page


System Requirements

Trademarks
AutoCAD 2009 Readme
Product Removal
AutoCAD 2009 Readme >
System Requirements

Before you install AutoCAD 2009, make sure that your computer meets the minimum hardware and software requirements.

Whether the Windows operating system is the 32-bit or 64-bit version is automatically detected when installing AutoCAD 2009. The appropriate version of AutoCAD 2009 will be installed. The 32-bit version of AutoCAD 2009 cannot be installed on a 64-bit version of Windows.

See the following tables for hardware and software requirements.

Hardware and software requirements
Hardware/Software Requirement Notes

Operating system

32-bit

Microsoft® Windows® Vista® Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

Microsoft Windows XP Home Edition (SP2)

64-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

It is recommended that non-English language versions of AutoCAD 2009 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2009 language. A code page provides support for character sets used in different languages.

Web browser

Microsoft Internet Explorer® 6.0 SP1 or later

You cannot install AutoCAD 2009 if Microsoft Internet Explorer 6.0 SP1 (or later) is not installed on the installation workstation. You can download Microsoft Internet Explorer from the Microsoft website: http://www.microsoft.com/downloads/

Processor

32-bit

Intel® Pentium® 4 processor or AMD® Athlon, 2.2 GHz or greater

or

Intel or AMD Dual Core processor, 1.6 GHz or greater

64-bit

AMD 64 or Intel EM64T
RAM

32-bit

1 GB (Microsoft Windows XP SP2)

2 GB (Microsoft Windows Vista)

64-bit

2 GB

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL®, or Direct3D® capable workstation class graphics card.

For Microsoft Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required 1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.
Hard Disk

750 MB for installation (Microsoft Windows XP, SP2)

2 GB available not including installation (Microsoft Windows Vista)

Pointing device

Mouse, trackball, or other device

DVD/CD-ROM

Any speed (for installation only)

32-bit

Download (ESD) and installation from DVD or CD-ROM

64-bit

Download or DVD

Optional hardware

Printer or plotter

Digitizer

Modem or access to an Internet connection

Network interface card

Additional recommendations for 3D use
Hardware/Software Requirement Notes
Operating system

32-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

Microsoft Windows XP Home Edition (SP2)

64-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

It is recommended that non-English language versions of AutoCAD 2009 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2009 language. A code page provides support for character sets used in different languages.

Whether the Microsoft Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing AutoCAD 2009. The appropriate version of AutoCAD 2009 will be installed. The 32-bit version of AutoCAD 2009 cannot be installed on a 64-bit version of Microsoft Windows.

Processor

Intel Pentium 4 processor or AMD Athlon, 2.2 GHz or greater

or

AMD Dual Core processor, 1.6 GHz or greater

RAM

2 GB (or greater)

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL, or Direct3D capable workstation class graphics card.

For Microsoft Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required 1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.

For more information about tested and certified graphics cards, visit http://www.autodesk.com/autocad-graphicscard

Hard disk

2 GB (in addition to the 1GB or above required for installation)

NoteAdobe Flash Player is no longer installed by default. If a suitable version of Flash is not currently installed on your system, a message requests that you download it from Adobe’s website. If you do not have Internet access, you can also access the Flash installer on the AutoCAD 2009 product media.
Please send us your comment about this page


Product Removal

System Requirements
AutoCAD 2009 Readme
AutoCAD 2009 Readme >
Product Removal

To Uninstall AutoCAD 2009 [Windows XP]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Add or Remove Programs.
  2. Select AutoCAD 2009. Click Change/Remove.
  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2009 page, click Next.
  5. Click Finish.

To Uninstall AutoCAD 2009 [Windows Vista]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Uninstall a Program.
  2. Select AutoCAD 2009. Click Uninstall/Change.

    If the User Account Control dialog box displays, click Continue.

  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2009 page, click Next.
  5. Click Finish.
Please send us your comment about this page


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!